#ifndef _SCOREWIDGET_H
#define _SCOREWIDGET_H

#include <tqframe.h>
class TQVBoxLayout; 
class TQHBoxLayout; 
class TQGridLayout; 
class TQGroupBox;
class TQLabel;

class ScoreWidget : public TQFrame
{ 
    TQ_OBJECT
  

public:
    ScoreWidget( TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    void setMove(int i);
    void setLevel(int i);
    void setChance(int i);
    void setPlayer(TQString s,int no);
    void setTurn(int i); 

protected:
    TQGroupBox* GroupBox1;
    TQLabel* TextLabel4;
    TQLabel* TextLabel5;
    TQLabel* TextLabel6;
    TQLabel* TextLabel1;
    TQLabel* TextLabel2;
    TQLabel* TextLabel3;
    TQLabel* TextLabel7;
    TQLabel* TextLabel8;
    TQLabel* TextLabel9;

protected:
    void paintEvent( TQPaintEvent * );
    void Paint(TQPainter *p,TQRect rect);
    void drawBorder(TQPainter *p,TQRect rect,int offset,int width,int mode);

protected:
    TQGridLayout* LayoutB;
};

#endif // _SCOREWIDGET_H

